<div class="admin-container">
    <app-admin-sidebar></app-admin-sidebar>
    <div class="admin-main-container">
        <button mat-button class="add-btn btn" (click)="openDialog()">Add </button>
    <table mat-table class="nursesTable" [dataSource]="tableDataSource">
    
        <ng-container matColumnDef="nurseName">
            <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Nurse Name</th>
            <td mat-cell class="display-col" *matCellDef="let dataUser">{{dataUser.name}}</td>
        </ng-container>
    
        <ng-container matColumnDef="doctorsName">
            <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Doctors Name</th>
            <td mat-cell class="display-col" *matCellDef="let dataUser">{{dataUser.assignedDoctor[0]?.name}}</td>
        </ng-container>
    
        <ng-container matColumnDef="editBtnColumn">
            <th mat-header-cell-class='table-col' class='display-col' *matHeaderCellDef>Edit Btn</th>
            <td mat-cell class='display-col' *matCellDef="let element">
                <button mat-btn class="edit-btn btn" (click)="onEditClick(element)">Edit</button>
            </td>
        </ng-container>
    
        <ng-container matColumnDef="deleteBtnColumn">
            <th mat-header-cell-class='table-col' class='display-col' *matHeaderCellDef>Delete Btn</th>
            <td mat-cell class='display-col' *matCellDef="let element">
                <button mat-btn class="delete-btn btn" (click)="onDeleteClick(element)">Delete</button>
            </td>
        </ng-container>
    
        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>
    </table>
    <mat-paginator aria="select pages" [pageSizeOptions]="[5,10,15]"></mat-paginator>
    </div>
</div>

